# Poco

# class ScopedFStreamRWLock

Library: Foundation
Package: Processes
Header: Poco/FileStreamRWLock.h

## Description

A variant of ScopedLock for reader/writer locks.

## Inheritance

Known Derived Classes: ScopedFStreamReadRWLock, ScopedFStreamWriteRWLock

## Constructors

### ScopedFStreamRWLock

ScopedFStreamRWLock(
FileStreamRWLock & rwl,
bool write = false
);

## Destructor

### ~ScopedFStreamRWLock

~ScopedFStreamRWLock();